#pragma once
#include "wx/wx.h"

class cMain : public wxFrame
{
public:
	cMain();
	~cMain();

	//variables
	int currentCopy = -1;

	//stuff in the window and other functs
	//wxPanel* LFO_Generator = nullptr;

	wxTextCtrl* mAuthor = nullptr;
	wxStaticText* mAuthorTxt = nullptr;

	wxTextCtrl* mName = nullptr;
	wxStaticText* mNameTxt = nullptr;

	wxTextCtrl* mPoints = nullptr;
	wxStaticText* mPointsTxt = nullptr;

	wxButton* mRun = nullptr;
	wxButton* mClear = nullptr;
	wxStaticText* mText = nullptr;
	wxListBox* mLFOs = nullptr;

	void OnRunClick(wxCommandEvent& evt);
	void OnClearClick(wxCommandEvent& evt);
	void OnKeyDown(wxKeyEvent& evt);

	std::string generateRandomLFO(std::string(author), std::string(name), 
		int(points), int(powerDisp), int(pointDisp));
	double getRand(int(limit) = RAND_MAX, double(MSDisp) = 1, double(LRDisp) = 0);

	wxDECLARE_EVENT_TABLE();
};